/*
 * @(#) XAResourceHelper.java
 *
 * JOTM: Java Open Transaction Manager 
 *
 * This project is developed inside the ObjectWeb Consortium,
 * http://www.objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: XAResourceHelper.java,v 1.1 2003/04/14 13:57:08 jmesnil Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jotm;

import java.lang.reflect.Field;

import javax.transaction.xa.XAResource;

/**
 * @author jmesnil
 */
public class XAResourceHelper {
    public static String getFlagName(int flag) {
        String flagName = null;
        try {
            Field[] flds = XAResource.class.getDeclaredFields();
            for (int i = 0; i < flds.length; i++) {
                if (flds[i].getInt(null) == flag)
                    flagName = flds[i].getName();
            }
        } catch (Exception e) {
            flagName = "invalid flag value!";
        } finally {
            return flagName;
        }
    }
}
